%define upstream_name    Net-HTTP
%define upstream_version 6.09

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 3

Summary:    Non-blocking HTTP client
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Compress::Raw::Zlib)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(IO::Select)
BuildRequires: perl(IO::Socket::INET)
BuildRequires: perl(IO::Uncompress::Gunzip)
BuildRequires: perl(URI)
BuildArch:  noarch

%description
The 'Net::HTTP' class is a low-level HTTP client. An instance of the
'Net::HTTP' class represents a connection to an HTTP server. The HTTP
protocol is described in RFC 2616. The 'Net::HTTP' class supports
'HTTP/1.0' and 'HTTP/1.1'.

'Net::HTTP' is a sub-class of 'IO::Socket::INET'. You can mix the methods
described below with reading and writing from the socket directly. This is
not necessary a good idea, unless you know what you are doing.

The following methods are provided (in addition to those of
'IO::Socket::INET'):

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%make_install

%files
%doc Changes META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun Jun 19 2016 pterjan <pterjan> 6.90.0-3.mga6
+ Revision: 1031084
- Rebuild for perl 5.22.2

* Fri Feb 19 2016 umeabot <umeabot> 6.90.0-2.mga6
+ Revision: 967888
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 6.90.0-1.mga6
+ Revision: 850471
- update to 6.09

* Sun Oct 19 2014 umeabot <umeabot> 6.70.0-4.mga5
+ Revision: 790594
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 6.70.0-3.mga5
+ Revision: 748727
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 6.70.0-2.mga5
+ Revision: 685662
- Mageia 5 Mass Rebuild

* Thu Jul 24 2014 sander85 <sander85> 6.70.0-1.mga5
+ Revision: 656335
- update to 6.07

* Sat Oct 19 2013 umeabot <umeabot> 6.60.0-2.mga4
+ Revision: 525866
- Mageia 4 Mass Rebuild

* Sun Jun 02 2013 kharec <kharec> 6.60.0-1.mga4
+ Revision: 434787
- update to 6.06

* Sun Jan 13 2013 umeabot <umeabot> 6.50.0-2.mga3
+ Revision: 370631
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Nov 14 2012 jquelin <jquelin> 6.50.0-1.mga3
+ Revision: 317692
- update to 6.05

* Thu Feb 23 2012 jquelin <jquelin> 6.30.0-1.mga2
+ Revision: 213092
- update to 6.03

* Tue Nov 22 2011 kharec <kharec> 6.20.0-1.mga2
+ Revision: 170823
- update to 6.02

* Tue Apr 19 2011 jquelin <jquelin> 6.10.0-1.mga1
+ Revision: 88541
- update to 6.01

* Mon Feb 28 2011 jquelin <jquelin> 6.0.0-1.mga1
+ Revision: 61494
- imported package perl-Net-HTTP


* Mon Feb 28 2011 cpan2dist 6.00-1mga
- initial mageia release, generated with cpan2dist
